Détails des correctifs pour le Gestionnaire de licences NI 4.2

Aperçu

Ce document décrit les problèmes corrigés et les instructions d'installation du Gestionnaire de licences NI 4.2.

Problème corrigé

Une vulnérabilité de sécurité a été découverte et signalée par Flexera dans leurs bibliothèques FlexNet Publisher. Le débordement de tampon du tas dans lmadmin de Flexera FlexNet Publisher (ou FlexNet License Server Manager) permet aux personnes malveillantes à distance d'exécuter du code arbitraire via un paquet 0x2f spécialement construit. Les versions du Gestionnaire de licences NI antérieures à la version 4.0 distribuaient les versions vulnérables des bibliothèques FlexNet Publisher. Cependant, ces versions ne sont plus distribuées depuis les versions du client du Gestionnaire de licences NI 4.0 et versions ultérieures. 


Installation du correctif

Effectuez les étapes suivantes pour installer le correctif :

  1. Connectez-vous en tant qu'administrateur.
  2. Fermez tous les logiciels NI.
  3. Téléchargez, exécutez et suivez les instructions pour l'EXE auto-extractible NI_License_Manager qui se trouve à la page de téléchargement du Gestionnaire de licences NI 4.2.
  4. De plus, la mise à jour peut être installée à l'aide de Service de mise à jour NI.